package com.javahonk;
import javax.ejb.*;
import java.util.*;

public class PersonBean implements SessionBean {
	Vector vector;

	public PersonBean() {
		vector = new Vector();
	}

	public void addPerson(String bname) {
		vector.add(bname);
	}

	public Vector getPerson() {
		return vector;
	}

	public void ejbCreate() {
		System.out.println("calling ejbcreate....");
	}

	public void ejbRemove() {
		System.out.println("calling ejbremove");
	}

	public void ejbActivate() {
		System.out.println("calling ejbactivate");
	}

	public void ejbPassivate() {
		System.out.println("calling ejbpassivate");
	}

	public void setSessionContext(SessionContext sc) {
		System.out.println("calling session context");
	}

}